You are not logged in.

#1 2018-11-17 14:01:56

aliemjay
Member
Registered: 2018-11-17
Posts: 15

"Cannot mix incompatible Qt library" for some Qt apps

Hi devs,

The following message appears and causes sddm, kwin and plasmashell to segfault and essentially prevents login to plasma DE:

Cannot mix incompatible Qt library (version 0x50b01) with this library (version 0x50b02)

This error appeared 3 weeks ago in the testing branch on Manjaro32, but now I managed to reproduce it with very minimal fresh installation of archlinux32 (~800MB) in chroot jail with only sddm and kwin packages explicitly installed and is on the stable branch. Other Qt apps works well including the KDE suit.

----UPDATE----
This problem is with both the stable and testing repos. But the fact that I emphasize here is that the problem persists in the testing repos even after the upgrades there and despite the fact that the Qt libraries have identical versions and that all KDE packages are built against Qt 5.11.2. The following applies to testing repos at the time of writing. I am sorry for any confusion.
----

I tried hard to find the faulty package or library here but to no avail. Here is what I have tried so far:

1- All qt5 packages are versioned 5.11.2:

$ pacman -Q | grep qt5
qt5-base 5.11.2-3.0
qt5-declarative 5.11.2-1.0
qt5-graphicaleffects 5.11.2-1.0
qt5-multimedia 5.11.2-1.0
qt5-quickcontrols 5.11.2-1.0
qt5-quickcontrols2 5.11.2-1.0
qt5-script 5.11.2-1.0
qt5-sensors 5.11.2-1.0
qt5-speech 5.11.2-1.0
qt5-svg 5.11.2-1.0
qt5-x11extras 5.11.2-1.0
qt5-xmlpatterns 5.11.2-1.0

2- after setting QT_DEBUG_PLUGINS=1 as environment variable, the processes log the metadata of loaded qt plugins and the weird thing is that ALL loaded plugins have version = 330498 = 0x50b02 = 5.11.2 . Here is a sample:

QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt/plugins/platforms/libqeglfs.so"
Found metadata in lib /usr/lib/qt/plugins/platforms/libqeglfs.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "eglfs"
        ]
    },
    "className": "QEglFSIntegrationPlugin",
    "debug": false,
    "version": 330498
}
Got keys from plugin meta data ("eglfs")

3- strace shows that the processes do not access any .so file other than the qt plugins before showing the message.

Last edited by aliemjay (2018-11-17 20:13:07)

Offline

#2 2018-11-17 15:52:09

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 464

Re: "Cannot mix incompatible Qt library" for some Qt apps

I'm no expert in qt, but this looks like a duplicate of this to me: https://bbs.archlinux32.org/viewtopic.php?id=2628, though it's fair to say this has the more succinct title at least.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

Board footer

Powered by FluxBB